using UnityEngine;
using System.Collections;

[System.Serializable]
public class FixedCameraZone : CameraZone
{
    public Transform m_CameraZone;
    public Transform CameraZone
    {
        get { return m_CameraZone; }
        set { m_CameraZone = value; }
    }

    public FixedCameraZone(Vect4f charZone)
        : base(charZone)
    {
        m_CameraZone = null;
    }

    public override void SetCameraSettings()
    {
        CameraManager.Instance.NewSettings(m_CameraZone);
    }
}